> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create account

> Creates an accounting number on the organization's chart of accounts so subsequent expense categorisations can reference it. The new account starts active and is immediately available for use.



## OpenAPI

````yaml openapi/findity-admin-api.json POST /organizations/{id}/accounts
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /organizations/{id}/accounts:
    post:
      tags:
        - Organization
      summary: Create account
      description: >-
        Creates an accounting number on the organization's chart of accounts so
        subsequent expense categorisations can reference it. The new account
        starts active and is immediately available for use.
      operationId: adminCreateAccount
      parameters:
        - $ref: '#/components/parameters/organizationIdPath'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Account'
            example:
              name: The account name.
              number: Account number
      responses:
        '201':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
              example:
                id: 11adfe2a080040e3892ffb89c21ec44e
                name: The account name.
                number: Account number
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                invalid json body:
                  value:
                    result: error
                    code: INVALID_JSON_BODY
                    description: Failed to parse json body
                unknown properties:
                  value:
                    result: error
                    code: NO_KNOWN_JSON_PROPERTIES
                    description: No known, or only read-only properties received
                invalid account id:
                  value:
                    result: error
                    code: INVALID_ID
                    description: Account id in json was different from the id passed in url
                account already exists:
                  value:
                    result: error
                    code: ACCOUNT_ALREADY_EXISTS
                    description: >-
                      Account with id 0f7a69f10be8480587546efcbae3c790 already
                      exists with number 4678923
        '404':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              example:
                result: error
                code: ORGANIZATION_NOT_FOUND
                description: Organization not found
components:
  parameters:
    organizationIdPath:
      in: path
      name: id
      required: true
      description: The unique identifier of the organization
      schema:
        $ref: '#/components/schemas/Uuid'
        example: 05b8daba9ba14a49846fe77883248cf0
  schemas:
    Account:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/Uuid'
          readOnly: true
        name:
          type: string
          description: Name of the account
        number:
          type: string
          description: Account number
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````